# Welcome to os-testr’s documentation!

A testr wrapper to provide functionality for OpenStack projects.

- Free software: Apache license

- Documentation: https://docs.openstack.org/os-testr/

- Source: https://opendev.org/openstack/os-testr

- Bugs: https://bugs.launchpad.net/os-testr

- Contributing: If you are a new contributor to os-testr please refer: So You Want to Contribute…

# Contents

- Installation
- Usage
  - ostestr
  - subunit-trace
  - subunit2html
  - generate-subunit
  - CHANGES

# Indices and tables

- Search Page

this page last updated: 2022-01-12 19:37:53

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug